import { UiElement } from "./ui-element";

export class SelectInput extends UiElement {

    constructor(
        private label: string,
        private elementId: string,
        private value: any,
        private containerId: string,
        private disabled: string,
        private hidden: string,
        private required: string) {
        super(elementId, containerId, '');
        this.createElement(this.getTemplate());

    }


    public getTemplate() {
        let requiredClass: string = "";
        if (this.required == 'Y')
            requiredClass = "requiredClass"
        if (this.disabled == "N") { this.disabled = "disabled" } else { this.disabled = "" }
        if (this.hidden == "N") { this.hidden = "display:none;" } else { this.hidden = "" }
        const template =
       "<div class='custom-text-area-element dynamicField' style='"+this.hidden+"'>" +
       " <label  class='daynamicForm-Label "+requiredClass+"' id='title' >" + this.label + "</label>" +
       " <select class='daynamicForm-Select' id='" + this.elementId + "' "+this.disabled+">"+
       "<option value='"+this.value+"' >"+this.value+"</option>"+
       "</select>"+
       "</div> ";



            // "<ion-item style='" + this.hidden + "'>" +
            // "<ion-label id='title' >" + this.label + "</ion-label>" +
            // "<ion-select id='" + this.elementId + "' " + this.disabled + ">" +
         
            // "</ion-select>" +
            // "</ion-item> ";

        return template;
    }
}